package com.hikcreate.edl.pub.web.mobile.api.controller;

import com.hikcreate.edl.common.sdk.util.EncryptStringAes;
import com.hikcreate.edl.pub.web.mobile.infra.core.configbean.SignKeyConfigBean;
import lombok.extern.slf4j.Slf4j;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

/**
 * 工具
 * @menu 工具接口
 * @author lixian
 * @description
 * @date 2020/6/18 17:57
 **/
@Slf4j
@RestController
@RequestMapping( "/test" )
public class ToolController {
    @Autowired
    SignKeyConfigBean signKeyConfigBean;

    /**
     * 加密
     * @param plain 明文
     * @return
     */
    @GetMapping( value = "encrypt" )
    public String encrypt( String plain ) {
        return EncryptStringAes.encryptAes(plain, signKeyConfigBean.getKey());
    }

}
